export const SET_FILTER = "CHATS/SET_FILTER"

export const UPDATE_QUEUE = "CHATS/UPDATE_QUEUE"

export const FETCH_CHATS_REQUEST = "CHATS/FETCH_CHATS_REQUEST"
export const FETCH_CHATS_SUCCESS = "CHATS/FETCH_CHATS_SUCCESS"
export const FETCH_CHATS_ERROR = "CHATS/FETCH_CHATS_ERROR"

export const TOGGLE_SAVED_REQUEST = "CHATS/TOGGLE_SAVED_REQUEST"
export const TOGGLE_SAVED_SUCCESS = "CHATS/TOGGLE_SAVED_SUCCESS"
export const TOGGLE_SAVED_ERROR = "CHATS/TOGGLE_SAVED_ERROR"

export const SHOW_LOADING = "CHATS/SHOW_LOADING"
export const HIDE_LOADING = "CHATS/HIDE_LOADING"

export const NEXT_PAGE = "CHATS/NEXT_PAGE"
export const PREV_PAGE = "CHATS/PREV_PAGE"
export const RESET_PAGE = "CHATS/RESET_PAGE"

export const START_CHAT_REQUEST = "CHATS/START_CHAT_REQUEST"
export const START_CHAT_SUCCESS = "CHATS/START_CHAT_SUCCESS"
export const START_CHAT_ERROR = "CHATS/START_CHAT_ERROR"

export const SELECT_CHAT = "CHATS/SELECT_CHAT"
export const RESET_SELECTED_CHAT = "CHATS/RESET_SELECTED_CHAT"

export const SET_TOTAL_CHATS = "CHATS/SET_TOTAL_CHATS"